Loading...
Searching...
No Matches
logging_internal.h File Reference
Osmocom logging internals
`#include <stdbool.h>`
`#include <osmocom/core/logging.h>`
`#include <osmocom/core/utils.h>`

Go to the source code of this file.

## Data Structures

struct | log_thread_state

## Macros

#define | MAX_LOG_SIZE 4096
#define | LOG_WQUEUE_LEN 156

## Functions

void | assert_loginfo (const char *src)
int | log_output_buf (char *buf, int buf_len, struct log_target *target, unsigned int subsys, unsigned int level, const char *file, int line, int cont, const char *format, va_list ap)
| main output formatting function for log lines.
void | log_target_file_destroy (struct log_target *target)

## Variables

void * | tall_log_ctx
struct log_info * | osmo_log_info
const struct value_string | loglevel_strs []
struct llist_head | osmo_log_target_list
__thread struct log_thread_state | log_thread_state